Este é o fórum de suporte técnico para o WPML, o plugin para WordPress multilíngue.

Qualquer um pode ler, mas apenas clientes do WPML podem postar aqui. A equipe do WPML responde no fórum 6 dias por semana, 22 horas por dia.

Nenhum atendente de suporte está disponível para trabalhar hoje no fórum Portuguese. Fique à vontade para abrir tickets e iremos tratar deles assim que estivermos online. Obrigado pela compreensão.

This topic contains 3 respostas, has 2 vozes.

Last updated by Bruno 1 mês, 3 semanas atrás.

Assigned support staff: Bruno.

Autor Posts
setembro 23, 2019 às 12:28 pm #4623819

luiz-gustavoS

When I activate woocommerce-multilingual, the plugin collapses the site and is down for maintenance, so to go back I need to enter ftp and disable the plugin. Note, it worked normal. but a few days to cah. stopped...

setembro 23, 2019 às 1:48 pm #4624685

Bruno
Supporter

Languages: Inglês (English ) Português (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

Thank you for contacting us. Please, could you enable debug to see if any error message is displayed? To do it, please check the steps in our documentation: http://wpml.org/documentation/support/debugging-wpml/

Then try again to check the problem. If any error message appears, please paste here in the post for me to see.

Thank you.

setembro 23, 2019 às 5:21 pm #4625909

luiz-gustavoS

Warning: mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50556 Library:50636 in /home/storage/7/15/5e/spiltag3/public_html/novo/wp-includes/wp-db.php on line 1612

Fatal error: Uncaught TypeError: Argument 1 passed to WCML_Emails::__construct() must be an instance of woocommerce_wpml, null given, called in /home/storage/7/15/5e/spiltag3/public_html/novo/wp-content/plugins/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php on line 42 and defined in /home/storage/7/15/5e/spiltag3/public_html/novo/wp-content/plugins/123woocommerce-multilingual/inc/class-wcml-emails.php:24 Stack trace: #0 /home/storage/7/15/5e/spiltag3/public_html/novo/wp-content/plugins/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php(42): WCML_Emails->__construct(NULL, Object(SitePress), Object(WooCommerce), Object(wpdb)) #1 /home/storage/7/15/5e/spiltag3/public_html/novo/wp-content/plugins/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php(74): YITH_YWRAQ_Multilingual_Email->__construct() #2 /home/storage/7/15/5e/spiltag3/public_html/novo/wp-content/plugins/yith-woocommerce-reque in /home/storage/7/15/5e/spiltag3/public_html/novo/wp-content/plugins/123woocommerce-multilingual/inc/class-wcml-emails.php on line 24
O site está passando por dificuldades técnicas. Verifique a caixa de entrada do e-mail do administrador do site para obter instruções.

setembro 24, 2019 às 6:18 pm #4633441

Bruno
Supporter

Languages: Inglês (English ) Português (Português )

Timezone: America/Sao_Paulo (GMT-03:00)

Obrigado. Isso parece ser um problema de compatibilidade com o plugin "YITH Woocommerce Request A Quote Premium". A nossa equipe de compatibilidade está sugerindo os seguintes passos:

- No arquivo wp-content/plugin/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php aproximadamente na linha 23 altere:

function __construct(  ) {
 
    global $woocommerce_wpml, $sitepress;
    // Call parent constructor
    parent::__construct($woocommerce_wpml, $sitepress);
 
    add_action( 'send_quote_mail_notification', array( $this, 'refresh_email_lang'), 10, 1 );
}

Com o seguinte código:

function __construct(  ) {
 
    global $woocommerce_wpml, $sitepress, $woocommerce, $wpdb;
    // Call parent constructor
    parent::__construct($woocommerce_wpml, $sitepress, $woocommerce, $wpdb);
 
    add_action( 'send_quote_mail_notification', array( $this, 'refresh_email_lang'), 10, 1 );
}

Lembre-se de fazer backup do seu site antes de alterar as linhas acima. Depois de seguir esses passos, por favor, deixe-me saber se o problema é resolvido para que eu possa atualizar a nossa equipe de compatibilidade.

Obrigado.

O tópico ‘[Fechado] When I activate woocommerce-multilingual, the plugin collapses site and is d’ está fechado para novas respostas.